"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getMenuBootstrapTheme = exports.getMenuBootstrapStyles = void 0;

var getMenuBootstrapStyles = function getMenuBootstrapStyles(arg) {
  var theme = "theme" in arg ? arg.theme : arg;
  return {
    "& .MuiMenu-paper, .MuiPaper-root": {
      boxShadow: "none",
      border: "1px solid",
      borderColor: "rgba(0,0,0,.15)",
      marginTop: 2
    },
    "& .MuiMenuItem-root": {
      transition: "none",
      "&:hover, &:focus": {
        backgroundColor: "#e9ecef"
      },
      "&:active, &.Mui-selected, &.Mui-selected.Mui-focusVisible, &.Mui-selected:hover": {
        color: "#fff",
        backgroundColor: "#0d6efd"
      }
    }
  };
};

exports.getMenuBootstrapStyles = getMenuBootstrapStyles;

var getMenuBootstrapTheme = function getMenuBootstrapTheme(theme) {
  return {
    MuiMenu: {
      defaultProps: {
        anchorOrigin: {
          vertical: "bottom",
          horizontal: "left"
        },
        transformOrigin: {
          horizontal: "left",
          vertical: "top"
        }
      },
      styleOverrides: {
        root: getMenuBootstrapStyles(theme)
      }
    },
    MuiMenuItem: {
      defaultProps: {
        disableRipple: true
      }
    }
  };
};

exports.getMenuBootstrapTheme = getMenuBootstrapTheme;